%global libchewing_python_dir %{python3_sitelib}

Name:           libchewing
Version:        0.5.1
Release:        1
Summary:        Intelligent phonetic input method library for Traditional Chinese

License:        LGPLv2+
URL:            http://chewing.csie.net/
Source0:        https://github.com/chewing/%{name}/archive/v%{version}.tar.gz
Patch0:         0001-chewing.py-supports-platforms-with-64bit-pointer.patch

BuildRequires:  autoconf automake libtool pkgconfig texinfo 
BuildRequires:  sqlite-devel
BuildRequires:  python3-devel
BuildRequires:  make
Requires:       sqlite
Obsoletes:      python2-libchewing < 0.5.1-13

%description
libchewing is an intelligent phonetic input method library for Chinese.

It provides the core algorithm and logic that can be used by various
input methods. The Chewing input method is a smart bopomofo phonetics
input method that is useful for inputting Mandarin Chinese.

%package -n %{name}-devel
Summary:        Development files for libchewing
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n %{name}-devel
Headers and other files needed to develop applications using the %{name}
library.

%package -n python3-%{name}
Summary:        Python binding for libchewing
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description -n python3-%{name}
Python binding of libchewing.

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="%{optflags} -g -DLIBINSTDIR='%{_libdir}'"
autoreconf -ivf
%configure --disable-static
make V=1 RPM_CFLAGS="%{optflags}" %{_smp_mflags}

%install
make DESTDIR=%{buildroot} install INSTALL="install -p"
rm %{buildroot}%{_libdir}/libchewing.la

mkdir -p %{buildroot}%{libchewing_python_dir}
cp -p contrib/python/chewing.py %{buildroot}%{libchewing_python_dir}

rm -f %{buildroot}/%{_infodir}/dir

%files
%doc README.md AUTHORS COPYING NEWS TODO
%{_datadir}/%{name}/
%{_libdir}/*.so.*
%{_infodir}/%{name}.info.*

%files devel
%dir %{_includedir}/chewing
%{_includedir}/chewing/*
%{_libdir}/pkgconfig/chewing.pc
%{_libdir}/*.so

%files -n python3-%{name}
%{libchewing_python_dir}/chewing.py
%{libchewing_python_dir}/__pycache__/*

%changelog
* Wed Jul 20 2022 misaka00251 <misaka00251@misakanet.cn> - 0.5.1-1
- Init package
